VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 27
声望: 0

PS D:\quant\vnpy-master\examples\veighna_trader> python .\run.py
Traceback (most recent call last):
File "D:\quant\vnpy-master\examples\veighna_trader\run.py", line 31, in <module>
from vnpy_optionmaster import OptionMasterApp
File "D:\it_soft\python3.10.4\Lib\site-packages\vnpy_optionmaster__init__.py", line 26, in <module>
from .engine import OptionEngine, APP_NAME
File "D:\it_soft\python3.10.4\Lib\site-packages\vnpy_optionmaster\engine.py", line 34, in <module>
from .pricing import binomial_tree_cython as binomial_tree
File "binomial_tree_cython.pyx", line 1, in init binomial_tree_cython
ValueError: numpy.ndarray size changed, may indicate binary incompatibility. Expected 96 from C header, got 88 from PyObject
哪位大佬帮看下原因,以及该如何debug,因为在.pricing下没有.pyx文件,只有.pyd文件,而.pyd二进制根本看不到代码。。

description

Member
avatar
加入于:
帖子: 748
声望: 40

numpy版本不匹配导致的,推荐装VeighNa Studio 3.0.0

Member
avatar
加入于:
帖子: 27
声望: 0

MTF wrote:

numpy版本不匹配导致的,推荐装VeighNa Studio 3.0.0
请问numpy需要装哪个版本?我是用vnpy3.0的requirements.txt的要求来安装的,版本跟要求一致。
tzlocal==2.0.0
PySide6==6.2.3
pyqtgraph==0.12.3
qdarkstyle==3.0.3
numpy==1.21.5
pandas==1.3.5
matplotlib==3.5.1
seaborn==0.11.2
ta-lib==0.4.24
deap==1.3.1
pyzmq==22.3.0
plotly==5.5.0
importlib-metadata==4.10.1

description

Member
avatar
加入于:
帖子: 3717
声望: 238

请问你是否有多个python

Member
avatar
加入于:
帖子: 27
声望: 0

xiaohe wrote:

请问你是否有多个python
只有3.10.4,之前装的是3.8,后来看官网推荐3.10,遂卸载干净3.8,安装了3.10.4,

description

Member
avatar
加入于:
帖子: 716
声望: 55

你试着把.pyd删除,只留下.cp310-win_amd.pyd试试呢

Member
avatar
加入于:
帖子: 27
声望: 0

郭易燔 wrote:

你试着把.pyd删除,只留下.cp310-win_amd.pyd试试呢
好像没用。

description

Member
avatar
加入于:
帖子: 27
声望: 0

MTF wrote:

numpy版本不匹配导致的,推荐装VeighNa Studio 3.0.0
pip uninstall numpy
pip install numpy,装了1.22.3版本,终于启来了。。
另外,开始提的问题datamanager/Engine.py 下载数据也过了,数据下载无误,无报错。
感谢各位大佬!!
description

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】